SSLValve (Tomcat API Documentation)
Keywords: org.apache.catalina.valves.SSLValve class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.valves
Class SSLValve

    java.lang.Object
      org.apache.catalina.valves.ValveBase
          org.apache.catalina.valves.SSLValve

All Implemented Interfaces:
  javax.management.MBeanRegistration, Contained, Valve

    public class SSLValve

extends ValveBase

Field Summary

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, containerLog, controller, domain, info, mserver, next, oname, sm`

Constructor Summary
`SSLValve()`

Method Summary
`void` | `invoke(Request request, Response response)` The implementation-specific logic represented by this Valve.
`java.lang.String` | `mygetHeader(Request request, java.lang.String header)`

Methods inherited from class org.apache.catalina.valves.ValveBase
`backgroundProcess, createObjectName, event, getContainer, getContainerName, getController, getDomain, getInfo, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLValve

    public SSLValve()

Method Detail

### mygetHeader

    public java.lang.String mygetHeader(Request request,
                                        java.lang.String header)

### invoke

    public void invoke(Request request,
                       Response response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Description copied from class: `ValveBase`
  The implementation-specific logic represented by this Valve. See the Valve description for the normal design patterns for this method.

  This method MUST be provided by a subclass.

  Specified by:
    `invoke` in interface `Valve`
  Specified by:
    `invoke` in class `ValveBase`
  Parameters:
    `request` - The servlet request to be processed
    `response` - The servlet response to be created
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.